Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.2.76
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class LogScanConfig

    java.lang.Object
      com.sleepycat.je.LogScanConfig

All Implemented Interfaces:
  Cloneable

    public class LogScanConfig

extends Object
implements Cloneable

Specify the attributes of a log scan.

Field Summary
`static LogScanConfig` | `DEFAULT` An instance created using the default constructor is initialized with the system's default settings.

Constructor Summary
`LogScanConfig()` An instance created using the default constructor is initialized with the system's default settings.

Method Summary
`DatabaseConfig` | `cloneConfig()` Returns a copy of this configuration object.
`boolean` | `getForwards()` `Environment.scanLog` method is configured to scan forwards.
`void` | `setForwards(boolean forwards)` Configure the `Environment.scanLog` method to scan forwards through the log.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final LogScanConfig DEFAULT

  An instance created using the default constructor is initialized with the system's default settings.

Constructor Detail

### LogScanConfig

    public LogScanConfig()

  An instance created using the default constructor is initialized with the system's default settings.

Method Detail

### setForwards

    public void setForwards(boolean forwards)

  Configure the `Environment.scanLog` method to scan forwards through the log.

  Parameters:
    `forwards` - If true, configure the `Environment.scanLog` method to scan forwards through the log. The default is true.

### getForwards

    public boolean getForwards()

  `Environment.scanLog` method is configured to scan forwards.

### cloneConfig

    public DatabaseConfig cloneConfig()

  Returns a copy of this configuration object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.2.76
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1996,2008 Oracle. All rights reserved.